/**
 * @file lagoon/utils/wx_gui_factory.hpp
 * @brief wxWidgets-based GUI polymorphic factory implementation
 *
 *  Copyright 2008-2010 Matus Chochlik. Distributed under the Boost
 *  Software License, Version 1.0. (See accompanying file
 *  LICENSE_1_0.txt or copy at http://www.boost.org/LICENSE_1_0.txt)
 */

#ifndef LAGOON_UTILS_WX_GUI_FACTORY_1011291729_HPP
#define LAGOON_UTILS_WX_GUI_FACTORY_1011291729_HPP

#include <lagoon/config.hpp>
#include <lagoon/lagoon_fwd.hpp>
#include <lagoon/utils.hpp>
#include <lagoon/interfaces.hpp>
#include <lagoon/polymorph_factory.hpp>

// wx gui factory-related
#include <lagoon/utils/wx_gui_factory/data.hpp>
#include <lagoon/utils/wx_gui_factory/utils.hpp>
#include <lagoon/utils/wx_gui_factory/default_traits.hpp>
#include <lagoon/utils/wx_gui_factory/manager.hpp>
#include <lagoon/utils/wx_gui_factory/composite.hpp>
#include <lagoon/utils/wx_gui_factory/arrayer.hpp>
#include <lagoon/utils/wx_gui_factory/manufacturer.hpp>
#include <lagoon/utils/wx_gui_factory/suppliers.hpp>
#include <lagoon/utils/wx_gui_factory/enumerator.hpp>
#include <lagoon/utils/wx_gui_factory/builder.hpp>

LAGOON_NAMESPACE_BEGIN

LAGOON_NAMESPACE_END

#endif //include guard

